KBLAYOUT(5)

NAME
kblayout - initial keyboard layout

SYNOPSIS
/etc/kblayout

DESCRIPTION
The kblayout file is read on boot by init(8) and names a file in /share/kblayout that is loaded and set as the keyboard layout. The default kernel US keyboard layout is retained if the file is missing.

The kernel translates the raw keyboard scancodes into unicode codepoints using the keyboard layout table associated with the terminal. Keyboard layout tables are compiled from a textual description with kblayout-compiler(1) into compressed binary tables.

FORMAT
The file must contain a filename of /share/kblayout on a single line.

FILES
/etc/kblayout
    Name of initial keyboard layout.
/share/kblayout
    Keyboard layouts.

EXAMPLES

    dk

SEE ALSO
chkblayout(1), kblayout-compiler(1), tcsetblob(2), init(8)